Bug 807880 - Authen::Simple requires Class::Data::Inheritable but rpm does not have dependancy
Authen::Simple requires Class::Data::Inheritable but rpm does not have depen...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Authen-Simple (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 22:31 EDT by Tom Shield
Modified: 2012-04-11 22:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Authen-Simple-0.4-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-07 23:30:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Shield 2012-03-28 22:31:15 EDT
Description of problem:

Authen::Simple requires  Class::Data::Inheritable, but rpm does not have a dependency on perl-Class-Data-Inheritable package.

Version-Release number of selected component (if applicable):

perl-Authen-Simple-0.4-6.fc16.noarch

How reproducible:

every time

Steps to Reproduce:
1. yum install perl-Authen-Simple
2. perl -e "use Authen::Simple::PAM"
3.
  
Actual results:

Step 2 output:

Base class package "Class::Data::Inheritable" is empty.
    (Perhaps you need to 'use' the module which defines that package first,
    or make that module available in @INC (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .).
 at /usr/share/perl5/vendor_perl/Authen/Simple/Adapter.pm line 5
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Authen/Simple/Adapter.pm line 5.
Compilation failed in require at (eval 2) line 2.
        ...propagated at /usr/share/perl5/base.pm line 94.
BEGIN failed--compilation aborted at /usr/local/share/perl5/Authen/Simple/PAM.pm line 5.
Compilation failed in require at -e line 1.

Expected results:

(no output from step 2)

Additional info:
Comment 1 Emmanuel Seyman 2012-03-29 13:41:18 EDT
The 'use base' bug bites again. I'll get right on it.
Comment 2 Fedora Update System 2012-03-29 15:30:03 EDT
perl-Authen-Simple-0.4-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Authen-Simple-0.4-7.fc16
Comment 3 Fedora Update System 2012-03-29 15:30:12 EDT
perl-Authen-Simple-0.4-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Authen-Simple-0.4-8.fc17
Comment 4 Fedora Update System 2012-03-29 15:30:22 EDT
perl-Authen-Simple-0.4-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Authen-Simple-0.4-6.fc15
Comment 5 Fedora Update System 2012-03-29 22:57:56 EDT
Package perl-Authen-Simple-0.4-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Authen-Simple-0.4-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4864/perl-Authen-Simple-0.4-8.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-07 23:30:03 EDT
perl-Authen-Simple-0.4-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-07 23:30:31 EDT
perl-Authen-Simple-0.4-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-11 22:55:54 EDT
perl-Authen-Simple-0.4-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.